﻿/* Starts here */
/* Ends here - bit in the middle is empty */
html {
  height: 100%;
  margin: 0;
  padding: 0;
}
body {
  font-size: 12pt;
  height: 100%;
  width: 100%;
  margin: 0;
  padding: 0;
  background: #F3F3F3;
  overflow: hidden;
}
h1 {
  font-size: 14pt;
  color: #15767F;
  border-top-style: solid;
  border-top-width: 1px;
  border-top-color: #15767F;
  border-bottom-width: 1px;
  border-bottom-style: solid;
  margin: 10px 0px;
  padding: 6px;
  width: 100%;
}
h2 {
  font-size: 14pt;
  color: #15767F;
  margin: 10px 10px;
  width: 100%;
}
.smc-navbar-header {
  background-color: #FFF;
  padding: 4px 4px 4px 6px;
}
.smc-navbar-branding {
  margin: 0px 20px 0px 0px;
}
.smc-navbar-toggle {
  background: #F3F3F3;
  margin: 0px;
}
.smc-navbar-person {
  font-size: 18px;
  font-weight: bold;
  color: #1FB4C2;
}
.smc-navbar-info > li {
  padding: 0px;
}
.smc-navbar-nav > li > a {
  padding: 8px 8px 8px 8px;
}
.smc-info-block {
  display: flex;
  flex-direction: column;
}
.smc-info-message {
  display: block;
  text-align: center;
}
.smc-success-message {
  display: block;
  text-align: center;
  background-color: green;
  color: white;
  padding: 8px 0;
}
.smc-exception-message {
  display: block;
  border: 1px solid red;
  color: red;
  text-align: center;
  padding: 10px;
  margin: 4px;
}
.smc-exception-description {
  display: block;
  text-align: center;
  font-style: italic;
  margin: 4px;
}
.smc-icon-bar {
  background-color: #111;
}
.smc-content {
  position: absolute;
  top: 55px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  padding-top: 15px;
  overflow: auto;
  display: flex;
  flex-direction: column;
}
.smc-label-control {
  display: flex;
  flex-direction: row;
  margin: 0px 4px 12px 4px;
}
.smc-label {
  font-size: smaller;
  color: #1FB4C2;
  font-family: Arial, Helvetica, sans-serif;
  min-width: 10em;
  text-align: right;
  padding: 0px 6px 4px 6px;
}
.smc-label-exception {
  font-size: smaller;
  color: red;
  font-family: Arial, Helvetica, sans-serif;
  min-width: 10em;
  text-align: right;
  padding: 0px 6px 4px 6px;
}
.smc-control-textbox {
  width: 15em;
  padding: 4px 6px;
  border-radius: 8px;
  -moz-box-shadow: inset 0 0 1px #000000;
  -webkit-box-shadow: inset 0 0 1px #000000;
  box-shadow: inset 0 0 1px #000000;
}
.smc-control-button {
  width: 15em;
  padding: 4px 6px;
  border-radius: 8px;
  -moz-box-shadow: inset 0 0 1px #000000;
  -webkit-box-shadow: inset 0 0 1px #000000;
  box-shadow: inset 0 0 1px #000000;
}
.smc-control-checkbox {
  display: flex;
  flex-direction: row;
}
.smc-control-checkbox > input {
  margin: 6px 2px 0px 0px;
}
.smc-control-checkbox > label {
  margin: 0px 0px 0px 4px;
}
.smc-control-dropdown {
  width: 15em;
  padding: 4px 6px;
  border-radius: 8px;
  -moz-box-shadow: inset 0 0 1px #000000;
  -webkit-box-shadow: inset 0 0 1px #000000;
  box-shadow: inset 0 0 1px #000000;
}
.smc-control-radiobutton > input {
  margin: 0px 0px 0px 0px;
}
.smc-control-radiobutton > label {
  color: #8873AB;
  margin: 0px 15px 0px 5px;
}
.smc-control-zone {
  font-weight: bold;
  color: #1FB4C2;
  padding: 0px 0px 0px 3px;
}
.smc-control-zone-mandatory {
  font-weight: bold;
  color: #F26922;
  padding: 0px 0px 0px 3px;
}
.smc-control-dispatch {
  font-style: italic;
}
.smc-action-button {
  flex: 0 0 auto;
  justify-content: center;
  margin: 6px 0;
  padding: 3px 10px 5px 10px;
  background: #4A2A7F;
  border: 1px solid #FCB414;
  color: #FCB414;
  min-width: 75px;
  min-height: 28px;
}
.smc-action-button:hover {
  background: #8873AB;
}
.smc-user-notify {
  border: solid 2px #FCB414;
  background-color: #FCECC3;
  padding: 4px 8px 4px 8px;
}
.smc-user-controls {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}
.smc-user-message {
  display: inline-block;
  padding: 5px 8px 5px 8px;
}
.smc-grid-control-checkbox {
  padding: 3px 0px 0px 5px;
}
.smc-table-title {
  font-family: Arial, Helvetica, sans-serif;
  padding: 4px 6px 4px 6px;
  text-align: center;
  font-weight: 600;
}
.smc-table-label {
  font-size: smaller;
  color: #1FB4C2;
  font-family: Arial, Helvetica, sans-serif;
  text-align: right;
  padding: 0px 6px 4px 6px;
  vertical-align: top;
}
.smc-table-content {
  font-size: smaller;
  font-family: Arial, Helvetica, sans-serif;
  padding: 0px 4px 4px 4px;
}
@media (max-width: 767px) {
  .smc-label-control {
    flex-direction: column;
  }
  .smc-label {
    text-align: left;
  }
  .smc-content {
    padding: 5px;
  }
}
.smc-list {
  display: flex;
  flex-direction: column;
}
.smc-list-nav-container {
  background-color: #1FB4C2;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 2px;
}
.smc-list-nav-button {
  color: palegoldenrod;
  margin: 5px 1px 0px 1px;
  font-size: 15px;
}
.smc-list-nav-number {
  color: palegoldenrod;
  margin: 0px 3px;
  font-size: 15px;
}
.smc-list-nav-selected {
  color: white;
  font-weight: 600;
  margin: 0px 3px;
}
.smc-list-item {
  display: flex;
  flex-direction: row;
  background-color: palegoldenrod;
}
.smc-grid {
  width: 100%;
}
.smc-grid-header > th {
  background-color: #1FB4C2;
  color: white;
  padding: 0px 2px;
}
.smc-grid-item > td {
  background-color: palegoldenrod;
  vertical-align: top;
}
.smc-grid-item-alternate > td {
  background-color: #F5F2CD;
  vertical-align: top;
}
.smc-list-item-content {
  color: black;
  margin: 1px 0px 3px 4px;
}
.smc-list-item-left {
  color: black;
}
.smc-list-button {
  min-width: 8em;
  border-radius: 6px;
  margin: 2px 4px 2px 0px;
}
.smc-list-tag {
  display: inline-block;
  padding: 4px;
  border-width: 1px;
  border-style: solid;
  border-radius: 6px;
  margin: 2px;
  text-align: center;
}
.smc-list-tag-warning {
  display: inline-block;
  padding: 4px;
  border-width: 1px;
  border-style: solid;
  border-radius: 6px;
  margin: 2px;
  text-align: center;
  background-color: darkgoldenrod;
  color: white;
  border-color: white;
}
.smc-list-tag-info {
  display: inline-block;
  padding: 4px;
  border-width: 1px;
  border-style: solid;
  border-radius: 6px;
  margin: 2px;
  text-align: center;
  background-color: lightgray;
  color: darkgray;
  border-color: darkgray;
}
.smc-list-tag-go {
  display: inline-block;
  padding: 4px;
  border-width: 1px;
  border-style: solid;
  border-radius: 6px;
  margin: 2px;
  text-align: center;
  background-color: #D2FFD2;
  color: #008D00;
  border-color: #008D00;
}
.smc-list-tag-stop {
  display: inline-block;
  padding: 4px;
  border-width: 1px;
  border-style: solid;
  border-radius: 6px;
  margin: 2px;
  text-align: center;
  background-color: #C80100;
  color: #FFFF72;
  border-color: #FFFF72;
}
.smc-list-tag-normal {
  display: inline-block;
  padding: 4px;
  border-width: 1px;
  border-style: solid;
  border-radius: 6px;
  margin: 2px;
  text-align: center;
  background-color: #ABF9FF;
  color: #1415C5;
  border-color: #1415C5;
}
.smc-list-tag-psycho {
  display: inline-block;
  padding: 4px;
  border-width: 1px;
  border-style: solid;
  border-radius: 6px;
  margin: 2px;
  text-align: center;
  background-color: #FFC8FF;
  color: #6000C1;
  border-color: #6000C1;
}
.smc-list-width-medium {
  width: 8em;
}
.smc-list-title {
  font-weight: bold;
}
.smc-keep-together {
  display: inline-block;
}
.smc-line-break-narrow {
  display: none;
}
@media (max-width: 767px) {
  .smc-list-item-left {
    font-size: 9pt;
  }
  .smc-list-item-content {
    font-size: 9pt;
  }
  .smc-line-break-narrow {
    display: unset;
  }
  .smc-grid-item > td {
    font-size: 9pt;
  }
  .smc-grid-item-alternate > td {
    font-size: 9pt;
  }
}